package com.junmp.jyzb.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.junmp.jyzb.api.bean.query.QueryTriggerReq;
import com.junmp.jyzb.api.bean.req.UpdateTriggerReq;
import com.junmp.jyzb.entity.Trigger;

import java.util.List;

public interface TriggerService extends IService<Trigger> {
    String addTrigger(UpdateTriggerReq req);

    Boolean updateTrigger(UpdateTriggerReq msg);

    Boolean deleteTrigger(UpdateTriggerReq msg);

    boolean changeTriggerState(UpdateTriggerReq msg);

    List<Trigger> getTriggerList(QueryTriggerReq req);
}
